Bug 258941 - mail/mailman3 3.3.1 with postorius 1.3.5 throws 404 errors
Summary: mail/mailman3 3.3.1 with postorius 1.3.5 throws 404 errors
Status: Closed Feedback Timeout
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Charlie Li
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-05 08:49 UTC by Einar Bjarni Halldórsson
Modified: 2022-11-21 11:54 UTC (History)
9 users (show)

See Also:
einar: maintainer-feedback-


Attachments
Screenshot (31.03 KB, image/png)
2021-10-05 08:49 UTC, Einar Bjarni Halldórsson
no flags Details
Patch to /usr/ports to upgrade mailman3 to 3.3.4 (6.30 KB, patch)
2021-10-29 11:49 UTC, Henri Hennebert
no flags Details | Diff
Upgrade mailman3 to 3.3.5 (10.77 KB, patch)
2021-12-27 19:36 UTC, Einar Bjarni Halldórsson
lichray: maintainer-approval+
Details | Diff
Update mail/mailman3 to 3.3.5 (4.25 KB, patch)
2022-04-07 09:34 UTC, Einar Bjarni Halldórsson
einar: maintainer-approval? (vishwin)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Einar Bjarni Halldórsson 2021-10-05 08:49:43 UTC
Created attachment 228457 [details]
Screenshot

See https://gitlab.com/mailman/postorius/-/issues/516

Is it possible to upgrade the version of mailman3 in ports?


[05/Oct/2021:08:45:09 +0000] "GET /3.1/lists/rix-announce.lists.isnic.is/member/list-admin%40isnic.is HTTP/1.1" 404 26 "-" "GNU Mailman REST client v3.3.3"
[05/Oct/2021:08:45:09 +0000] "GET /3.1/users/65523fc24ab74bd4aa41edfc4617daae HTTP/1.1" 200 393 "-" "GNU Mailman REST client v3.3.3"
[05/Oct/2021:08:45:09 +0000] "GET /3.1/users/65523fc24ab74bd4aa41edfc4617daae/preferred_address HTTP/1.1" 200 370 "-" "GNU Mailman REST client v3.3.3"
[05/Oct/2021:08:45:09 +0000] "GET /3.1/lists/rix-announce@lists.isnic.is/requests/count?token_owner=moderator HTTP/1.1" 404 58 "-" "GNU Mailman REST client v3.3.3"
Comment 1 Henri Hennebert 2021-10-29 11:49:12 UTC
Created attachment 229116 [details]
Patch to /usr/ports to upgrade mailman3 to 3.3.4

If you apply this patch in /usr/ports you can upgrade mailman3 to 3.3.4 and solve this issue.

Note that databases/alembic is reversed to version 1.4.3.
Comment 2 Phil Budne 2021-12-25 21:50:34 UTC
I'm seeing this too.

mail% pkg vers | egrep 'posto|mailman'
py38-django-mailman3-1.3.7_1       =
py38-mailman-3.3.1_1               =
py38-mailmanclient-3.3.3           =
py38-postorius-1.3.5               =
mail% tail -1 mailman.log
[25/Dec/2021:16:45:44 -0500] "GET /3.1/lists/listname@lists.regressive.org/requests/count?token_owner=moderator HTTP/1.1" 404 58 "-" "GNU Mailman REST client v3.3.3"
Comment 3 Henri Hennebert 2021-12-26 08:59:55 UTC
(In reply to Henri Hennebert from comment #1)

Note that there is now databases/py-alembic14
Comment 4 Einar Bjarni Halldórsson 2021-12-27 19:28:48 UTC
(In reply to Henri Hennebert from comment #1)

Thanks. I went further and upgraded to 3.3.5. Had to upgrade multiple ports, and create a new one (databases/py-alembic16) since mailman 3.3.5 depends on alembic > 1.6 < 1.7.

I've sent the patches to the relevant maintainers, but adding here as well so you can look it over.
Comment 5 Einar Bjarni Halldórsson 2021-12-27 19:36:40 UTC
Created attachment 230465 [details]
Upgrade mailman3 to 3.3.5
Comment 6 lichray 2021-12-27 20:07:10 UTC
Comment on attachment 230465 [details]
Upgrade mailman3 to 3.3.5

LGTM (www/py-falcon)
Comment 7 Muhammad Moinur Rahman freebsd_committer 2021-12-27 21:32:54 UTC
Will take care of alembic most probably on Wednesday.

It's better to create multiple bug reports and follow dependency rather than one  big one.
Comment 8 Einar Bjarni Halldórsson 2021-12-27 21:37:14 UTC
(In reply to Muhammad Moinur Rahman from comment #7)

Thank you. It's my first patch affecting multiple ports, I didn't know what the best course of action was. I've sent individual patches to relevant maintainers, but I should probably create bug reports for each port
Comment 9 commit-hook freebsd_committer 2022-04-03 21:17:35 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=e9f8f9983c6dbda860a341c361d987fdd940f3c5

commit e9f8f9983c6dbda860a341c361d987fdd940f3c5
Author:     Muhammad Moinur Rahman <bofh@FreeBSD.org>
AuthorDate: 2022-04-03 21:14:48 +0000
Commit:     Muhammad Moinur Rahman <bofh@FreeBSD.org>
CommitDate: 2022-04-03 21:14:48 +0000

    databases/py-alembic16: New port

    Alembic is a new database migrations tool, written by the author of
    SQLAlchemy. A migrations tool offers the following functionality:

    - Can emit ALTER statements to a database in order to change the structure of
      tables and other constructs
    - Provides a system whereby "migration scripts" may be constructed; each
      script indicates a particular series of steps that can "upgrade" a target
      database to a new version, and optionally a series of steps that can
      "downgrade" similarly, doing the same steps in reverse.
    - Allows the scripts to execute in some sequential manner.

    WWW: http://alembic.zzzcomputing.com/

    PR:             258941
    Reported by:    einar@isnic.is

 databases/Makefile                     |  1 +
 databases/py-alembic16/Makefile (new)  | 33 +++++++++++++++++++++++++++++++++
 databases/py-alembic16/distinfo (new)  |  3 +++
 databases/py-alembic16/pkg-descr (new) | 12 ++++++++++++
 4 files changed, 49 insertions(+)
Comment 10 Muhammad Moinur Rahman freebsd_committer 2022-04-03 21:20:03 UTC
(In reply to Einar Bjarni Halldórsson from comment #8)
What happens is if it's not individual bugs then it doesn't show up in "My Ports" and hence there is no followup. One more thing is there is no patch for adding the new port in <CATEGORY>/Makefile. See the git log for my commit.
Comment 11 Einar Bjarni Halldórsson 2022-04-04 14:26:37 UTC
(In reply to Muhammad Moinur Rahman from comment #10)

Thank you.
I created a separate bug report (https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=263039) for www/py-falcon. It's the only depency that hasn't been updated.

I learned a lot and my next bug report will be better
Comment 12 Einar Bjarni Halldórsson 2022-04-07 09:34:53 UTC
Created attachment 233020 [details]
Update mail/mailman3 to 3.3.5

Patch for mail/mailman3 to upgrade to 3.3.5
Comment 13 Einar Bjarni Halldórsson 2022-04-07 09:35:36 UTC
I've added a new patch, for mail/mailman3 only.
All needed dependency updates have already been committed
Comment 14 Andrey Pevnev 2022-07-02 22:51:00 UTC
Can this be committed as maintainer timeout please? Patch works fine for me. Thanks a lot!
Comment 15 Einar Bjarni Halldórsson 2022-11-21 11:54:08 UTC
(In reply to Andrey Pevnev from comment #14)

Created new bug report with patch to upgrade to 3.3.7 and offer to take over as maintainer

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=267890

Closing this bug report